<?php
if (!defined('DC_CONTEXT_ADMIN')) { return; }

$name = 'bigRedButton';

# Get versions
$this_version = $core->plugins->moduleInfo($name, 'version');
$installed_version = $core->getVersion($name);

# Compare versions
if (version_compare($installed_version, $this_version, '>=')) { return; }

# Install or update
try
{
	# Check DC version
	if (!version_compare(DC_VERSION, '2.2', '>='))
	{
		throw new Exception(sprintf(__('Plugin %1$s version %2$s requires Dotclear 2.2 or later.'), $name, $this_version));
	}

	//... ici ce qu'on veut faire pendant l'installation. (ou même rien)
	$core->setVersion($name, $this_version);

	return true;
}
catch (Exception $e)
{
	$core->error->add($e->getMessage());
	return false;
}
?>
